- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# QextScintillaLexerMakefile Class Reference

The QextScintillaLexerMakefile class encapsulates the Scintilla Makefile lexer. More...

`#include <qextscintillalexermakefile.h>`

Inherits QextScintillaLexer.

List of all members.

## Public Types

- Default = 0
- Comment = 1
- Preprocessor = 2
- Variable = 3
- Operator = 4
- Target = 5
- Error = 9
- enum {
  Default = 0, Comment = 1, Preprocessor = 2,
  Variable = 3, Operator = 4, Target = 5,
  Error = 9
  }

## Public Member Functions

- QextScintillaLexerMakefile (TQObject *parent=0, const char *name=0)
- virtual ~QextScintillaLexerMakefile ()
- const char * language () const
- const char * lexer () const
- const char * wordCharacters () const
- TQColor color (int style) const
- bool eolFill (int style) const
- TQFont font (int style) const
- TQString description (int style) const
- TQColor paper (int style) const

## Detailed Description

The QextScintillaLexerMakefile class encapsulates the Scintilla Makefile lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the Makefile lexer.

Enumerator:

  Default | The default.
  Comment | A comment.
  Preprocessor | A pre-processor directive.
  Variable | A variable.
  Operator | An operator.
  Target | A target.
  Error | An error.

## Constructor & Destructor Documentation

QextScintillaLexerMakefile::QextScintillaLexerMakefile | ( | TQObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a QextScintillaLexerMakefile with parent parent and name name. parent is typically the QextScintilla instance.

virtual QextScintillaLexerMakefile::~QextScintillaLexerMakefile | ( |  | ) | `[virtual]`

Destroys the QextScintillaLexerMakefile instance.

## Member Function Documentation

const char* QextScintillaLexerMakefile::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements QextScintillaLexer.

const char* QextScintillaLexerMakefile::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements QextScintillaLexer.

TQColor QextScintillaLexerMakefile::color | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  paper()

Reimplemented from QextScintillaLexer.

bool QextScintillaLexerMakefile::eolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from QextScintillaLexer.

TQFont QextScintillaLexerMakefile::font | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from QextScintillaLexer.

TQString QextScintillaLexerMakefile::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then TQString() is returned. This is intended to be used in user preference dialogs.

Implements QextScintillaLexer.

TQColor QextScintillaLexerMakefile::paper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  color()

Reimplemented from QextScintillaLexer.